package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlements.UpdateAutomation(ctx, operations.C1APIAppV1AppEntitlementsUpdateAutomationRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AppEntitlementServiceUpdateAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlements.updateAutomation({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"basic": {
"expression": "<string>"
},
"cel": {
"expression": "<string>"
},
"description": "<string>",
"displayName": "<string>",
"entitlements": {
"entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"none": {},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update"
payload = {
"basic": { "expression": "<string>" },
"cel": { "expression": "<string>" },
"description": "<string>",
"displayName": "<string>",
"entitlements": { "entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
] },
"none": {},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
basic: {expression: '<string>'},
cel: {expression: '<string>'},
description: '<string>',
displayName: '<string>',
entitlements: {entitlementRefs: [{appId: '<string>', id: '<string>'}]},
none: {},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/entitlements/{app_entitlement_id}/automation/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"AppEntitlementAutomation": {
"appEntitlementId": "<string>",
"appId": "<string>",
"basic": {
"expression": "<string>"
},
"cel": {
"expression": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"entitlements": {
"entitlementRefs": [
{
"appId": "<string>",
"id": "<string>"
}
]
},
"lastRunStatus": {
"errorMessage": "<string>",
"lastCompletedAt": "2023-11-07T05:31:56Z"
},
"managedByRequestCatalogId": "<string>",
"none": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
}Update Automation
Update the automation rule for an app entitlement, including its display name, description, and conditions.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlements.UpdateAutomation(ctx, operations.C1APIAppV1AppEntitlementsUpdateAutomationRequest{
AppEntitlementID: "<id>",
AppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AppEntitlementServiceUpdateAutomationResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlements.updateAutomation({
appId: "<id>",
appEntitlementId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the app that is associated with the app entitlement.
The unique ID for the App Entitlement.
Body
The AppEntitlementServiceUpdateAutomationRequest message.
This message contains a oneof named conditions. Only a single field of the following list may be set at a time:
- none
- entitlements
- cel
- basic
The AppEntitlementAutomationRuleBasic message.
Show child attributes
Show child attributes
The AppEntitlementAutomationRuleCEL message.
Show child attributes
Show child attributes
The description of the app entitlement.
The display name of the app entitlement.
The AppEntitlementAutomationRuleEntitlement message.
Show child attributes
Show child attributes
The AppEntitlementAutomationRuleNone message.
Response
Successful response
The AppEntitlementServiceUpdateAutomationResponse message.
The AppEntitlementAutomation message.
This message contains a oneof named conditions. Only a single field of the following list may be set at a time:
- none
- entitlements
- cel
- basic
Show child attributes
Show child attributes
Was this page helpful?